org.apache.catalina.loader

## Class WebappClassLoader.PrivilegedGetClassLoader

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoader.PrivilegedGetClassLoader

All Implemented Interfaces:
  PrivilegedAction<ClassLoader>

Enclosing class:
  WebappClassLoader

    protected static final class WebappClassLoader.PrivilegedGetClassLoader
    extends Object
    implements PrivilegedAction<ClassLoader>

### Field Summary

Fields
`Class<?>` `clazz`

### Constructor Summary

Constructors
Constructor and Description
`WebappClassLoader.PrivilegedGetClassLoader(Class<?> clazz)`

### Method Summary

Methods
`ClassLoader` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### clazz

    public Class<?> clazz

### Constructor Detail

#### WebappClassLoader.PrivilegedGetClassLoader

    public WebappClassLoader.PrivilegedGetClassLoader(Class<?> clazz)

### Method Detail

#### run

    public ClassLoader run()

Specified by:
  `run` in interface `PrivilegedAction<ClassLoader>`